ISOTPDUMP(1)

NAME
isotpdump - manual page for isotpdump 2023.03-1

SYNOPSIS
isotpdump [options] <CAN interface>

OPTIONS

-s <can_id>
    (source can_id. Use 8 digits for extended IDs)

-d <can_id>
    (destination can_id. Use 8 digits for extended IDs)

-x <addr>
    (extended addressing mode. Use 'any' for all addresses)

-X <addr>
    (extended addressing mode (rx addr). Use 'any' for all)

-c  (color mode)

-a  (print data also in ASCII-chars)

-t <type>
    (timestamp: (a)bsolute/(d)elta/(z)ero/(A)bsolute w date)

-u  (print uds messages)

CAN IDs and addresses are given and expected in hexadecimal values.

UDS output contains a flag which provides information about the type of the message.

  Flags:

[SRQ]
    = Service Request

[PSR]
    = Positive Service Response

[NRC]
    = Negative Response Code

[???]
    = Unknown (not specified)